org.codehaus.groovy.util

## Interface AbstractConcurrentMap.Entry<K,V>

- All Superinterfaces:
    AbstractConcurrentMapBase.Entry<V>
  All Known Implementing Classes:
    ClassInfo, ManagedConcurrentMap.Entry, ManagedConcurrentMap.EntryWithValue
  Enclosing class:
    AbstractConcurrentMap<K,V>

      public static interface AbstractConcurrentMap.Entry<K,V>
      extends AbstractConcurrentMapBase.Entry<V>

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isEqual(K key, int hash)`

    - ### Methods inherited from interface org.codehaus.groovy.util.AbstractConcurrentMapBase.Entry

      `getHash, getValue, isValid, setValue`

- - ### Method Detail

    - #### isEqual

          boolean isEqual(K key,
                        int hash)